Page MenuHomePhabricator

Visualize tracking data for Lua function usage on grafana
Closed, ResolvedPublic3 Story Points

Description

In T191416 we collect the data to track how much the Wikibase-related Lua functions are used across the Wikimedia projects. We now need to visualize this in grafana to be able to see it.

The patch introducing the metrics was https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/477971/ and turning it on was https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/479407/

The metric names in graphite are (for example) MediaWiki.$prefix.wikibase.client.scribunto.entity.$function.call
$prefix is split up per group and wiki in https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/477971/4/client/includes/DataAccess/Scribunto/LuaFunctionCallTracker.php

A grafana dashboard should be created with the ability to break down by group and or wiki (per the metrics being stored).
(Groups meaning group 0 / 1 / 2)

@Addshore (or anyone else appropriate) is happy to peer create this with someone.

Event Timeline

Lydia_Pintscher triaged this task as Normal priority.Dec 12 2018, 2:27 PM
Lydia_Pintscher created this task.
Addshore renamed this task from visualize tracking data for Lua function usage to Visualize tracking data for Lua function usage on grafana.Jan 8 2019, 2:18 PM
Addshore updated the task description. (Show Details)
Addshore set the point value for this task to 3.
Addshore changed the edit policy from "Custom Policy" to "All Users".
Addshore added a subscriber: Addshore.
Addshore updated the task description. (Show Details)Jan 8 2019, 3:02 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Jan 11 2019, 10:10 AM
Ladsgroup added a subscriber: Ladsgroup.

I do it.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 22 2019, 1:42 PM

@Ladsgroup All looks good, but it might be nice to add a few more words / annotations? What is the Y access? Looking into the metric stuff it is rate per min, but you can't tell that by just looking at the graph :)

Thanks for the feedback, I added the Y axis label for both. What else do you think is missing?

Looks good to me.
I'll leave this in verification for @Lydia_Pintscher to also take a look

Cool!
Can we aggregate this per day? I don't think more granular than day is not meaningful here.

Cool!
Can we aggregate this per day? I don't think more granular than day is not meaningful here.

I updated it to have the daily rate on top but I kept the minute-based graphs too (at the bottom) because for me as a developer, I might need it to measure affects of deployment of changes to the way we do function calls in that codebase.

Lydia_Pintscher closed this task as Resolved.Jan 26 2019, 3:51 PM

Awesome. Thanks!